Bug 501251 - Review Request: perl-Tk-Stderr - Capture standard error output, display in separate window for Perl::Tk
Review Request: perl-Tk-Stderr - Capture standard error output, display in se...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: webinject
  Show dependency treegraph
 
Reported: 2009-05-18 04:49 EDT by David Hannequin
Modified: 2009-08-05 08:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-05 08:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Hannequin 2009-05-18 04:49:24 EDT
Spec URL: http://hvad.cfppa-cibeins.com/perl-Tk-Stderr/perl-Tk-Stderr.spec
SRPM URL: http://hvad.cfppa-cibeins.com/perl-Tk-Stderr/perl-Tk-Stderr-1.2-2.fc10.src.rpm
Description: This module captures that standard error of a program and redirects it to a read only text widget, which doesn't appear until necessary. When it does appear, the user can close it; it'll appear again when there is more output.
Comment 1 Jochen Schmitt 2009-05-18 11:54:28 EDT
Good:
+ Basename of the SPEC files matches with package name.
+ Package name fullfill the naming guidelines.
+ URL shows on proper project home page
+ Package contains most recent release of the application
+ Could download upstream sources via spectool -g
+ Package tar ball matches which upstream sources
(md5sum: 86f0f85d24d2c1e72e1e5a039b0f0d72)
+ Package contains proper license tag
+ License tag contains GPLv2 as a valid OSS license
+ Package has proper Buildroot defintion
+ BuildRoot will be clean on start of %clean and %install
+ Package is BuiildArch noarch
+ Package has not subpackages
+ Package contains a %check stanza
+ Local build works fine
+ Rpmlint is quiete on source rpm
+ rpmlint is quiete on binary rpm
+ Local install and uninstall works fine
+ %doc stanza is small, so we don't need extra doc subpackage
+ %files stanza has proper %defattr definition
+ Files have proper files permissions
+ All package files are owned by the package
+ No packaged file is owned by another package
+ Package has proper Changelog

Bad:
- BR perl is not requires, because perl(Tk) requires perl
- Package doesn't contains verbatin copy of the license text
- Source files doesn't contains copyright notes
- README says package should have the same license as perl
  Perl is GPLV2 and Artistic. Please clarify license with
  upstream.
- Koji build fails. Please see http://koji.fedoraproject.org/koji/taskinfo?taskID=1361022
  I assume, that we have to deactivate the %check stanza
Comment 2 David Hannequin 2009-05-19 15:49:39 EDT
Hello,

I fix build require and i sent an email to the author of the module to seek clarification on the license.
	
I have read http://koji.fedoraproject.org/koji/taskinfo?taskID=1361022
 but don't understand. 

Best regard
Comment 3 Jochen Schmitt 2009-05-19 15:59:01 EDT
(In reply to comment #2)
> Hello,
> 
> I fix build require and i sent an email to the author of the module to seek
> clarification on the license.

OK, Please upload a new release for review.

> I have read http://koji.fedoraproject.org/koji/taskinfo?taskID=1361022
>  but don't understand. 

The issue is, that the 'make chech' command in the %check stanza need a running X-Server. Unfortunately on a build server we don't have a GUI.To selve this issue it may be nice, if you remove the %check stanza completely.
Comment 4 David Hannequin 2009-05-19 16:12:23 EDT
Sorry i have read build.log and it need X screen. 

Spec URL: http://hvad.cfppa-cibeins.com/perl-Tk-Stderr/perl-Tk-Stderr.spec
SRPM URL:
http://hvad.cfppa-cibeins.com/perl-Tk-Stderr/perl-Tk-Stderr-1.2-4.fc10.src.rpm

Best regard
Comment 5 Jochen Schmitt 2009-05-24 15:14:31 EDT
Ok, the package could build on koji, so I can APPROVE it.

But it may be nice, if you can clarify the license state with the upstream.
Comment 6 David Hannequin 2009-06-02 11:59:42 EDT
Hi,
	
I sent an email to the upstream to specify the license. For the moment I did not answer.

Below links to new spec and srpm files :

Spec URL: http://hvad.cfppa-cibeins.com/perl-Tk-Stderr/perl-Tk-Stderr.spec
SRPM URL:
http://hvad.cfppa-cibeins.com/perl-Tk-Stderr/perl-Tk-Stderr-1.2-5.fc10.src.rpm

Best regard
Comment 7 Jochen Schmitt 2009-06-02 12:26:35 EDT
Because I have APPROVED you package, it may be nice, if you can create a CVSAdmin Request.
Comment 8 David Hannequin 2009-06-03 04:42:21 EDT
New Package CVS Request
=======================
Package Name: perl-Tk-Stderr
Short Description: This module captures that standard error of a program and
redirects it to a read only text widget.
Owners: hvad
Branches: F-10 F-11
InitialCC: hvad
Comment 9 David Hannequin 2009-06-03 04:44:20 EDT
Hi, 

My FAS login is hvad but i can't change fedora-cvs flag to ?. 

Best regard
Comment 10 Xavier Lamien 2009-06-03 12:17:57 EDT
Before request CVS administration against your package you need to be an approved packager member in order to proceed (as FAS said you're not currently).

You will need to find a sponsor first.
Comment 11 Jochen Schmitt 2009-06-03 12:23:57 EDT
I can overtake this part. Please create a membership request for the packager group on FAS, so I can sponsor you.
Comment 12 Xavier Lamien 2009-06-03 12:53:13 EDT
Thanks Jochen to taking care of this as i don't even followed this review, i can go ahead on sponsorship.

David,
Please follow this step below in order to let Jochen sponsor you.
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 13 Jochen Schmitt 2009-06-04 11:14:11 EDT
@David:
I have sponsor your, so you can create a CVSAdmin request.
Comment 14 Jason Tibbitts 2009-06-04 11:34:47 EDT
CVS done.  I uses a shorter short description.
Comment 15 Jochen Schmitt 2009-06-30 14:44:21 EDT
Where are the updates in bodhi?
Comment 16 Xavier Lamien 2009-07-01 06:22:33 EDT
David, you might miss some packaging steps.

Here's how to request a push into FPC repositories:
=> https://fedoraproject.org/wiki/Package_update_HOWTO#Submit_your_update_to_Bodhi
Comment 17 David Hannequin 2009-07-01 08:26:30 EDT
i done updates in bodhi.
Comment 18 Jan Klepek 2009-08-02 15:22:29 EDT
david, did you put bug # in update request?
if not, please close this manually

Note You need to log in before you can comment on or make changes to this bug.